using UnityEngine;
using UnityEngine.Playables;
using UnityEngine.Timeline;

[System.Serializable]
public class TimeLineParticleSystemAsset : ControlPlayableAsset
{
    [Header("作用目标")] public FXTargetType targetType;
    [Header("播放目标位置")] public FXLocationType LocationType;
    [Header("特定目标位置名")] public string targetSpecialDotName;
    [Header("指定hit点里面的点")] public string hitPointGroupName;
    [Header("高度设置再地面")]  public  bool isGround;
    /// <summary>
    /// 是否跟随目标
    /// </summary>
    [Header("是否跟随目标")] public bool isFollowTarget;

    /// <summary>
    /// 是否不旋转 （默认是跟随目标旋转）
    /// </summary>
    [Header("是否不跟随目标旋转")] public bool isNotRotate;

    /// <summary>
    /// 是否跟随攻击速度进行播放te
    /// </summary>
    [Header("攻击速度播放特效")] public bool isAttSpeed;
    [Header("是否是循环特效")] public bool isLoop;
    [Header("循环独占")] public bool loopAlone;
    [Header("激活自定义目标点")] public bool isActivityCustomTargetPos;
    [Header("自定义目标点下标")] public int CustomTargetPosIndex;
    [Header("间隔时间")] public float intervalTime;
    
    public override Playable CreatePlayable(PlayableGraph graph, GameObject go)
    {
        return base.CreatePlayable(graph, go);
    }
}